#ifndef _ROBOCUP_AVR_H_
#define _ROBOCUP_AVR_H_

#include <stdint.h>


typedef struct {
  volatile uint8_t *port;
  volatile uint8_t *pwmPort;
  uint8_t fwdMask;
  uint8_t revMask;
} MOTOR;

void setMotorSpeed(MOTOR *motor, int speed);

int getButton();
void waitForButton(int i);

#endif
